<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

session_start(); 
if (!isset($_SESSION["lng"])) $_SESSION["lng"]="fr";
include_once("../lng/".$_SESSION["lng"].".inc.php"); // Paramètres de language
include_once("../inc/config.inc.php");
include_once("../inc/func_log.inc.php");
if (CheckURLLog(TRUE)==FALSE) header("Location: ../index.php");
if (CheckNivLog("5-9")==FALSE) header("Location: ../index.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
Archivelog(@$_SESSION["code_log"]);

// Variables Formulaire
$titre = stripslashes(strip_tags(trim(@$_POST["titre"])));
$td = strip_tags(trim(@$_POST["td"]));

$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
$desc = str_majuscules(strip_tags(str_escape(trim(@$_POST["desc"]))));
$img = strip_tags(trim(@$_POST["image"]));

$retourliste = TRUE;

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);

switch ($td)
{
	// Ajout de la fiche catagorie dossier
	case "add" :
		$rech = "SELECT * FROM " .TBDOSC. " WHERE dosc_code = '$code'";
		$rs = mysql_query($rech) or die(mysql_error());
		if (mysql_num_rows($rs) == 0)
		{
			$rs = mysql_query("INSERT INTO " .TBDOSC. "(dosc_code,dosc_desc,dosc_img,dosc_delok) VALUES ('$code','$desc','$img','1')") or die(mysql_error());
			$msg = $txt_fiche_add;			
		}
		else
		{
			$msg = $txt_fiche_exist;
			$retourliste = FALSE;
		}
		break;
	
	// Modification de la fiche catégorie dossier
	case "edit" :
		$rech = "UPDATE `" .TBDOSC. "` SET `dosc_desc`='".$desc."' WHERE `dosc_code` = '".$code."'";
		$rs = mysql_query($rech) or die(mysql_error());
		$msg = $txt_fiche_mod;			
		break;

	// Suppression de la fiche catégorie dossier
	case "del" :
		// Vérifie si utilisé dans une fiche dossier
		$rexist = "SELECT * FROM `" .TBDOS. "` WHERE `dos_codedosc` = '$code'";
		$rs = mysql_query($rexist) or die(mysql_error());
		if (mysql_num_rows($rs) <> 0)
		{
			$msg = $txt_dosc_used_dos;
			$retourliste = FALSE;
		}
		else
		{
			// Vérifie si on peut supprimer cette catégorie
			$rexist = "SELECT * FROM `" .TBDOSC. "` WHERE `dosc_code` = '$code' AND `dosc_delok` = '1'";
			$rs = mysql_query($rexist) or die(mysql_error());
			
			if (mysql_num_rows($rs) <> 0)
			{
				// SUPPRESSION de la fiche catégorie
				$rech = "DELETE FROM `" .TBDOSC. "` WHERE `dosc_code` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());
				$msg = $txt_fiche_del;			
			}
			else
			{
				$msg = $txt_dosc_nodel;			
				$retourliste = FALSE;
			}
		}
		break;

	default :
		break;
}
mysql_close($conn);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : <?PHP echo $title_dosc_maj; ?></title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

</head>
</body>

<?php 
include_once("../inc/entete.inc.php"); 
?>

<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center">
<?PHP if ($retourliste==FALSE)
	echo '<span class="alerte1">';
else
	echo '<span class="annot_std_gras">';
?>
<?PHP echo $msg ?>
</span>
</p>
<?PHP 
if ($retourliste == FALSE)
	aff_ret_idx_man($td,"dosc_lst.php",$txt_lnk_ret_liste,TRUE);
else
	aff_ret_lst_auto("dosc_lst.php",2000);
include_once("pied.php");
?>
